%define major 1
%define libname %mklibname vdpau %{major}
%define devname %mklibname vdpau -d
%define tracename %mklibname vdpau-trace

Summary:	Video Decode and Presentation API for Unix
Name:		libvdpau
Release:	2
Version:	1.1.1
License:	MIT
Group:		System/Libraries
Url:		http://www.nvnews.net/vbulletin/showthread.php?t=123091
Source0:	http://people.freedesktop.org/~aplattner/vdpau/%{name}-%{version}.tar.bz2
Patch0:		libvdpau-0.9-fix-X11-underlinking.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
# for apidoc:
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	texlive-pdftex

%description
The Video Decode and Presentation API for Unix (VDPAU) provides a
complete solution for decoding, post-processing, compositing, and
displaying compressed or uncompressed video streams. These video
streams may be combined (composited) with bitmap content, to
implement OSDs and other application user interfaces.

Only the proprietary NVIDIA driver supports this interface so far.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	VDPAU shared library
Group:		System/Libraries

%description -n %{libname}
The Video Decode and Presentation API for Unix (VDPAU) wrapper shared
library. This library is responsible for loading the hardware-specific
VDPAU driver.

%files -n %{libname}
%{_sysconfdir}/vdpau_wrapper.cfg
%{_libdir}/libvdpau.so.%{major}*
%dir %{_libdir}/vdpau

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	VDPAU development headers
Group:		Development/X11
Requires:	%{libname} = %{EVRD}
Provides:	vdpau-devel = %{EVRD}

%description -n %{devname}
This package contains the VDPAU headers for developing software that
uses VDPAU.

%files -n %{devname}
%doc AUTHORS ChangeLog api-html
%{_includedir}/vdpau
%{_libdir}/libvdpau.so
%{_libdir}/pkgconfig/vdpau.pc

#----------------------------------------------------------------------------

%package -n %{tracename}
Summary:	VDPAU tracing module for debugging
Group:		Development/X11
Requires:	%{libname} = %{EVRD}

%description -n %{tracename}
VDPAU tracing module libvdpau_trace.so for debugging VDPAU.

%files -n %{tracename}
# major is the plugin interface version, not %major
%{_libdir}/vdpau/libvdpau_trace.so.*

#----------------------------------------------------------------------------

%prep
%setup -q

%patch0 -p1

%build
%configure2_5x
%make

%install
%makeinstall_std
# (anssi) unneeded files
rm -f %{buildroot}%{_libdir}/vdpau/*.{la,so}
mv %{buildroot}%{_docdir}/libvdpau/html api-html


%changelog

* Wed Nov 18 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.1.1-2
- (5339f7c) Release up


